<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ChangePasswordForm>" %>
<asp:Content ID="changePasswordTitle" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : Change Password
</asp:Content>
<asp:Content ID="changePasswordContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Change Password</h2>
    <hr />
    <p>
        Use the form below to change your password.
    </p>
    <p>
        New passwords are required to be a minimum of <%= Html.Encode(ViewData["PasswordLength"]) %> characters in length.
    </p>
    <%= Html.ValidationSummary(true,"Password change was unsuccessful. Please correct the errors and try again.") %>
    <% using (Html.BeginForm()) { %>
        <fieldset>
            <ol>
                <li>
                    <%= Html.LabelFor(m => m.OldPassword) %>
                    <%= Html.PasswordFor(m => m.OldPassword) %>
                    <%= Html.ValidationMessageFor(m => m.OldPassword) %>
                </li>
                <li>
                    <%= Html.LabelFor(m => m.NewPassword) %>
                    <%= Html.PasswordFor(m => m.NewPassword) %>
                    <%= Html.ValidationMessageFor(m => m.NewPassword) %>
                </li>
                <li>
                    <%= Html.LabelFor(m => m.ConfirmPassword) %>
                    <%= Html.PasswordFor(m => m.ConfirmPassword) %>
                    <%= Html.ValidationMessageFor(m => m.ConfirmPassword) %>
                </li>
            </ol>
            <hr class="dotted" />
            <input type="submit" id="submitButton" value="Change" class="button" /> or <%= Html.ActionLink("go back", "Index", "Home") %>
        </fieldset>
    <% } %>
</asp:Content>