<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<RegistrationForm>" %>
<asp:Content ID="registerTitle" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : Register
</asp:Content>
<asp:Content ID="registerContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Create a New Account</h2>
    <p>
        Use the form below to create a new account. 
    </p>
    <p>
        Passwords are required to be a minimum of <%= Html.Encode(ViewData["PasswordLength"]) %> characters in length.
    </p>
    <%= Html.ValidationSummary(true,"Account creation was unsuccessful. Please correct the errors and try again.") %>
    <% using (Html.BeginForm())
       { %>
    <fieldset>
        <ol>
            <li>
                <%= Html.LabelFor(m => m.UserName) %>
                <%= Html.TextBoxFor(m => m.UserName) %>
                <%= Html.ValidationMessageFor(m => m.UserName) %>
            </li>
            <li>
                <%= Html.LabelFor(m => m.Email) %>
                <%= Html.TextBoxFor(m => m.Email) %>
                <%= Html.ValidationMessageFor(m => m.Email) %>
            </li>
            <li>
                <%= Html.LabelFor(m => m.Password) %>
                <%= Html.PasswordFor(m => m.Password) %>
                <%= Html.ValidationMessageFor(m => m.Password) %>
            </li>
            <li>
                <%= Html.LabelFor(m => m.ConfirmPassword) %>
                <%= Html.PasswordFor(m => m.ConfirmPassword) %>
                <%= Html.ValidationMessageFor(m => m.ConfirmPassword) %>
            </li>
        </ol>
        <hr class="dotted-separator" />
        <input type="submit" id="submitButton" class="button" value="Register" />
        or <%= Html.ActionLink("go back", "Index", "Home") %>
    </fieldset>
    <% } %>
</asp:Content>