<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ForumListViewModel>" %>
<asp:Content ID="formListTitle" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : <%= Html.Encode(Model.Category.Name) %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(Model.Category.Name) %></h2>
    <hr />
    <div id="breadcrumb">
        <%= Html.ActionLink("Home", "Index", "Home") %> &gt; <%= Html.Encode(Model.Category.Name) %>
    </div>
    <% Html.Kendo().Grid(Model.Items)
           .Name("forums")
           .Columns(column =>
           {
               column.Bound(f => f.Name).Template(f =>
               {%>
    <%= Html.ActionLink(f.Name, "Index", "Thread", new { category = Model.Category.Slug, forum = f.Slug }, null)%>
    <%}).Title("Forum");

               column.Bound(f => f.Threads).Filterable(false).Sortable(false);
           })
           .Pageable()
           .Render(); 
    %>
</asp:Content>