<%@ Import Namespace = "MvcForum.ViewModels" %>
<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ListViewModel<CategoryViewModel>>" %>
<asp:Content ID="categoryListTitle" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Home</h2>
    <hr />
    <div id="breadcrumb">
        Home
    </div>
    <% Html.Kendo().Grid(Model.Items)
           .Name("categories")
           .Columns(column => {
               column.Bound(c => c.Name).Template(c =>
               {%>
                   <%= Html.ActionLink(c.Name, "Index", "Forum", new { category = c.Slug }, null) %>
               <%}).Title("Category").Filterable(false).Sortable(false);
               column.Bound(c => c.Forums).Sortable(false).Filterable(false);
           })
           .Filterable()
           .Sortable(sorting => sorting.SortMode(GridSortMode.MultipleColumn))
           .Pageable()
           .Render();
    %>
</asp:Content>