<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<CreateThreadForm>" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : <%= Html.Encode(Model.Forum.Name) %> - Create Thread
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(Model.Forum.Name) %> - Create Thread</h2>
    <hr />
    <div id="breadcrumb">
        <%= Html.ActionLink("Home", "Index", "Home") %> &gt; 
        <%= Html.ActionLink(Model.Forum.CategoryName, "Index", "Forum", new { category = Model.Forum.CategorySlug }, null) %> &gt; 
        <%= Html.ActionLink(Model.Forum.Name, "Index", "Thread", new { category = Model.Forum.CategorySlug, forum = Model.Forum.Slug }, null) %> &gt; 
        Create Thread
    </div>
    <%= Html.ValidationSummary(true, "Thread creation was unsuccessful. Please correct the errors and try again.") %>
    <% using (Html.BeginForm())
       {%>
    <fieldset>
        <p>
            <%= Html.TextBoxFor(m => m.Title, new { style = "width: 60%; max-width:700px" }) %>
            <span><%= Html.ValidationMessageFor(m => m.Title) %></span>
        </p>
        <%= Html.Kendo()
                    .EditorFor(m => m.Content)
                    .HtmlAttributes(new { style = "height: 400px; width: 705px;" })
        %>
        <span><%= Html.ValidationMessageFor(m => m.Content)%></span>
        <hr class="dotted" />
        <input type="submit" id="submitButton" class="button" value="Post" />
        or <%= Html.ActionLink("go back", "Index", "Thread", new { category = Model.Forum.CategorySlug, forum = Model.Forum.Slug }, null) %>
    </fieldset>
    <% } %>
</asp:Content>