﻿using System.ComponentModel.DataAnnotations;
using MvcForum.ViewModels;

namespace MvcForum.Web
{
    public class CreateThreadForm
    {
        public CategoryViewModel Category { get; set; }

        public ForumViewModel Forum { get; set; }
        
        [Required(ErrorMessage = "Title is required.")]
        public string Title { get; set; }

        [Required(ErrorMessage = "Content is required.")]
        public string Content { get; set; }
    }
}