﻿using System.Collections.Generic;
using MvcForum.ViewModels;

namespace MvcForum.Web
{
    public class PostListViewModel : ListViewModel<PostViewModel>
    {
        public PostListViewModel(IEnumerable<PostViewModel> items)
            : base(items)
        {
        }

        public CategoryViewModel Category { get; set; }

        public ForumViewModel Forum { get; set; }

        public ThreadViewModel Thread { get; set; }
    }
}