﻿namespace MvcForum.Infrastructure.OpenAccess
{
    public class UnitOfWork : IUnitOfWork
    {
        private readonly Telerik.OpenAccess.OpenAccessContext context;

        public UnitOfWork(IContextFactory contextFactory)
            : this(contextFactory.Get())
        {
        }

        protected UnitOfWork(Telerik.OpenAccess.OpenAccessContext context)
        {
            this.context = context;
        }

        public void Commit()
        {
            context.SaveChanges();
        }
    }
}