<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<SignInForm>" %>
<asp:Content ID="loginJavaScript"  ContentPlaceHolderID="CustomJavaScriptContent" runat="server">
    <script type="text/javascript">
        $(document).ready(function () {
            $('#loginAdmin').click(function () {
                $('#UserName').val('admin');
                $('#Password').val('telerik');
                $('#submitButton').click();
            })
        });
    </script>
</asp:Content>
<asp:Content ID="loginTitle" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : Sign in
</asp:Content>
<asp:Content ID="signInContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Sign in</h2>
    <hr />
    <p>
        Please enter your username and password. <%= Html.ActionLink("Register", "Register") %> now, or <a href="#" id="loginAdmin">sign in with <strong>admin/telerik</strong></a>.
    </p>
    <%= Html.ValidationSummary(true,"Sign in was unsuccessful. Please correct the errors and try again.") %>
    <% using (Html.BeginForm())
       { %>
    <fieldset>
        <ol>
            <li>
                <%= Html.LabelFor(m => m.UserName) %>
                <%= Html.TextBoxFor(m => m.UserName) %>
                <%= Html.ValidationMessageFor(m => m.UserName) %>
            </li>
            <li>
                <%= Html.LabelFor(m => m.Password) %>
                <%= Html.PasswordFor(m => m.Password) %>
                <%= Html.ValidationMessageFor(m => m.Password) %>
            </li>
            <li class="checkbox-row">
                <%= Html.CheckBoxFor(m => m.RememberMe) %>
                <%= Html.LabelFor(m => m.RememberMe) %>
            </li>
        </ol>
        <hr class="dotted-separator" />
        <input type="submit" id="submitButton" class="button" value="Sign in" />
        or <%= Html.ActionLink("go back", "Index", "Home") %>
    </fieldset>
    <% } %>
</asp:Content>