<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<div id="menu-container">
    <%= Html.Kendo().Menu()
            .Name("menu")
            .BindTo("siteMap")
            .Items(menu =>
            {
                menu.Add()
                    .Text("Account")
                    .ImageUrl("~/Content/Images/Menu/Account.gif")
                    .Items(item =>
                    {
                        if (Request.IsAuthenticated)
                        {
                            item.Add()
                                .Text("Sign out")
                                .Action("SignOut", "Account");
                        }
                        else
                        {
                            item.Add()
                                .Text("Sign in")
                                .Action("SignIn", "Account");

                            item.Add()
                                .Text("Register")
                                .Action("Register", "Account");
                        }
                    });
                menu.Add()
                    .Text("About")
                    .ImageUrl("~/Content/Images/Menu/About.gif")
                    .HtmlAttributes(new { style = "border-right: 0" })
                    .Action("About", "Home");
            })
            .ItemAction(item => {
                if (item.Text == "All forums")
                    item.ImageUrl = "~/Content/Images/Menu/Forums.gif";

                if (item.Parent != null)
                    item.Items.Clear();
            })
    %>
</div>