﻿using System.Net;
using System.Web.Mvc;

namespace MvcForum.Web
{
    public class NotFoundResult : ActionResult
    {
        public override void ExecuteResult(ControllerContext context)
        {
            var response = context.HttpContext.Response;

            response.Clear();
            response.StatusCode = (int)HttpStatusCode.NotFound;
            response.Status = "404 Page Not Found";
        }
    }
}