﻿using System.Collections.Generic;

namespace MvcForum.Web
{
    public class ListViewModel<TItem> : ViewModel where TItem : class
    {
        public ListViewModel(IEnumerable<TItem> items)
        {
            Items = items;
        }

        public IEnumerable<TItem> Items
        {
            get;
            private set;
        }
    }
}